/* filesel.cc
 * Copyright (C) 2001 The University of Newcastle upon Tyne
 *
 * Written by Paul Coates (Paul.Coates@ncl.ac.uk)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <gtk/gtk.h>
#include <stdio.h>
#include "filesel.h"
#include "gui.h"
#include "licon.xpm"

static gint delete_cb(GtkWidget *widget, GdkEvent *event, gpointer data)
{ ((FileSel*)data)->hide(); return TRUE; }

FileSel::FileSel()
{
	window = gtk_file_selection_new("");
  gtk_window_set_modal (GTK_WINDOW (window), TRUE);
  gtk_window_set_policy (GTK_WINDOW (window), FALSE, FALSE, TRUE);
	gtk_widget_realize(window);
	window_icon(window, licon_xpm);
	gtk_signal_connect(GTK_OBJECT(window), "delete_event",
		GTK_SIGNAL_FUNC(delete_cb), this);
	gtk_signal_connect(GTK_OBJECT(window), "destroy",
		GTK_SIGNAL_FUNC(delete_cb), this);
}

FileSel::~FileSel()
{
}

void FileSel::show()
{
	gtk_widget_show(window);
	gdk_window_raise(window->window);
}

void FileSel::hide()
{
	gtk_widget_hide(window);
}

void FileSel::setTitle(char *str)
{
  gtk_window_set_title(GTK_WINDOW (window), str);
	gdk_window_set_icon_name(window->window, str);
}

