/* visual.h
 * Copyright (C) 2001 The University of Newcastle upon Tyne
 *
 * Written by Paul Coates (Paul.Coates@ncl.ac.uk)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef VISUAL_H
#define VISUAL_H 1

#include <glib.h>
#include "header.h"

// type - device(d), machine(m), network(n)
// subtype (device) - router(r), switch(s), managed hub(h),
//                    bridge(b), unknown(u), placeholder(p)
// subtype (machine) - computer(c), printer(p), server(s)
// subtype (network) - p-to-p(p), fddi(f), cloud(c), hbus(h), vbus(v),
//                     automatic(a)

// P-printer, V-server, M-computer
// R-router, S-switch, H-hub, B-bridge, U-unknown, Y-placeholder

class Visual
{
	public:
		long x, y;
		float rx, ry;					// relative x,y when drawing
		float dx, dy;					// relative x,y when dragging
		int w, h;
		gboolean selection;
		gboolean shown;				// show the visual object
		VisualType maintype;
		char draw;			// actually draw the visual object
		// draw is based on show and other external influences

//		char fix;
//		char visited;		// used for searching & working out size
//		char find;
};

#endif

